<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<form>
 <input	type="text" name="text" />
 <input type="submit" value="submit" />
</form>
<%! int num; %>
<%
   if (request.getParameter("text") != null)
	{
	 num = Integer.parseInt(request.getParameter("text"));
	}
%>
<table>
<tr><td>Number</td></tr>
	<%
		for (int i = 1; i < num+1; i++)
		{
	%>
	<tr>
	<td align="right"><%=i %></td>
	</tr>
	<%
		}
	%>
	
</table>